{% set CodiceModulo = "DOM_RIVERS_TARI" %}
{% set Urn = "document:c_d969:riversamento;tari;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
	{ "codice":"DAE-CDI",
		"urn":"document:s_italia:generale;documento.identita;documentazione",
		"descrizione_tabella_allegati":"copia del documento di identità",
		"annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
		"descrizione_meta":"",
		"filename":"Documento identita",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"",
		"dynamic_check":"",
		"tipo":"allegato",
		"tipo_mime":"application/pdf"
		},
	{ "codice":"DOC-VER-EFF",
		"urn":"document:s_italia:sanzioni;rimborso;comprova.versamenti.effettuati;documentazione",
		"descrizione_tabella_allegati":"documentazione attestante i versamenti effettuati",
		"annotazioni_tabella_allegati":"",
		"descrizione_meta":"documentazione attestante i versamenti effettuati",
		"filename":"Versamenti effettuati",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"",
		"dynamic_check":"true",
		"tipo":"allegato",
		"tipo_mime":"application/pdf"
		},
	{ "codice":"TRI-DOC-TUT",
		"urn":"document:s_italia:pagamento.tributi;tutore.legale;documentazione",
		"descrizione_tabella_allegati":"documentazione attestante il titolo di erede o tutore legale dell'intestatario del tributo",
		"annotazioni_tabella_allegati":"",
		"descrizione_meta":"titolo di erede o tutore legale",
		"filename":"titolo di erede o tutore legale",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"#Erede.checked()",
		"dynamic_check":"#Erede.checked()",
		"tipo":"allegato",
		"tipo_mime":"application/pdf"
	}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di riversamento del pagamento della TARI"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|19/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA_S"
urn_modulo_figlio="document:c_d969:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
		<meta codice_allegato="{{ allegato['codice'] }}"
		urn_allegato="{{ allegato['urn'] }}"
		descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
		filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
		firmatari="{{ allegato['firmatari'] }}"
		firmatari_label="{{ allegato['firmatari_label'] }}"
		firmato="{{ allegato['firmato'] }}"
name="GLOBO_allegato"
		numero="{{ allegato['numero'] }}"
		dimensione_massima="{{ allegato['dimensione'] }}"
		obbligatorio="DINAMICO"
		tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="application/pdf"/>

{% endblock meta %}

{% block title %} Domanda di riversamento del pagamento della TARI {% endblock title %}

{% block content %}
  

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - Domanda di riversamento del pagamento della TARI'" id="Oggetto" name="Oggetto" type="hidden"/>

<h1 class="Modulo">
  Domanda di riversamento del pagamento della TARI
</h1>

{{ anagrafica_cd969.societa("Titolare", "Il sottoscritto", ["Persona fisica", "Titolare", "Legale rappresentante"], "Richiedente", "visibility:visibility", "cursor:pointer", "mail_ordinaria", "false", "false") }}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p class="Labeltabella">
          avente (*)
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Codice utenza
        </p>
      </td>
      <td>
        <p class="Labelcella">
          Codice utente
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input class="inputNormal" id="Parametri_CodiceUtenza" name="Parametri_CodiceUtenza" style="width: 100%;" label="Codice utenza" />
      </td>
      <td>
       <input class="inputNormal" id="Parametri_CodiceUtente" name="Parametri_CodiceUtente" style="width: 100%;" label="Codice utente" />
      </td>
    </tr>
  </tbody>
</table>

<p class="Modulo">
  <span style="font-size: 80%;">(*) I codici utente e utenza possono essere reperiti sugli avvisi di pagamento TARI, ove già presenti</span>
</p>
{{ anagrafica_cd969.cognome_nome("AventeTitolo2", '<input id="Erede" name="Erede" type="checkbox" value="SI" /> in quanto erede o tutore legale di <span style="font-size: 70%;"><i>(da compilare se il richiedente è erede o tutore legale dell’intestatario del tributo)</i></span>', "Richiedente", "visibility:visibility", "cursor:pointer", "visibility:visibility",mandatory_enabled="#Erede.checked()") }}
<table class="Modulo" style="border: 1px solid grey;margin-top: -1px;">
  <tbody>
    <tr class="Rigaintestazione">
      <td>
        <p class="Labeltabella">
          pertanto allega documentazione attestante il titolo di erede o tutore legale dell'intestatario del tributo
        </p>
      </td>
    </tr>
  </tbody>
</table>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="4">
        <p class="Labeltabella">
          in riferimento ai versamenti a titolo della TARI 
        </p>
      </td>
    </tr>      
    <tr class="Rigaintestazioneridotta">
      <td style="width: 45%">
        <p class="Labelcella">
            Codice tributo
        </p>
      </td>
      <td>
        <p class="Labelcella">
            Data di pagamento
        </p>
      </td>
      <td>
        <p class="Labelcella">
            Anno d’imposta
        </p>
      </td>
      <td>
        <p class="Labelcella">
           Importo
        </p>
      </td>
    </tr>
    {% for i in range(1, 5) %}
    <tr {% if i==1 %}  mandatory="true" {% endif %}>
      <td><input class="inputNormal" id="Parametri_CodiceContributo{{ loop.index }}" name="Parametri_CodiceContributo{{ loop.index }}" style="width: 100%;" label="Codice contributo" {% if not loop.first %} enabled="#Parametri_CodiceContributo{{ i-1 }}.value()!=''"{% endif %} /></td>
      <td><input class="inputNormal" id="Parametri_DataPagamento{{ loop.index }}" {% if not loop.first %} mandatory_enabled="#Parametri_CodiceContributo{{ i }}.value()!=''" {% endif %} format="date" name="Parametri_DataPagamento{{ loop.index }}" style="width: 100%;"   label="Data pamento"/></td>
      <td><input class="inputNormal" id="Parametri_AnnoIMposta{{ loop.index }}" {% if not loop.first %} mandatory_enabled="#Parametri_CodiceContributo{{ i }}.value()!=''" {% endif %}  name="Parametri_AnnoIMposta{{ loop.index }}" style="width: 100%;"  label="Anno imposta"/></td>
      <td><input class="inputNormal" id="Parametri_Importo{{ loop.index }}" {% if not loop.first %} mandatory_enabled="#Parametri_CodiceContributo{{ i }}.value()!=''" {% endif %} format="valuta_positiva" name="Parametri_Importo{{ loop.index }}" style="width: 100%;" label="Importo"/></td> 
    </tr>
    {% endfor %}  
  </tbody>
</table>
<h3 class="Modulo">
  COMUNICA
</h3>
<p class="Modulo">
  di aver effettuato erroneamente il versamento o i versamenti al Comune di Genova, pertanto
</p>

<globo_salto_pagina></globo_salto_pagina>

<h3 class="Modulo">
  CHIEDE
</h3>
<p class="Modulo">
  il riversamento delle somme spettanti all’Ente (escludendo eventuali quote riservate allo stato) a favore del seguente Comune
</p>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazioneridotta">
      <td style="width: 10%;">
          <p class="Labelcella">Provincia</p>
      </td>
      <td style="width: 50%;">
         <p class="Labelcella">Comune</p>
      </td>
      <td>
         <p class="Labelcella">Codice catastale</p>
      </td>
    </tr>
    <tr >
      <td mandatory="true">
        {{ utils.provincie( 'Immobile' + '_ProvinciaResidenza', label="Provincia di residenza") }}
      </td>
      <td mandatory="true">
        <select class="inputNormal" id="Immobile_ComuneResidenza" name="Immobile_ComuneResidenza" style="width:100%" label="Comune" dynamic_value="getComuniFromProvincia( #Immobile_ProvinciaResidenza.value(), 'Immobile_ComuneResidenza')"></select>
      </td>
      <td mandatory="false">
        <input class="inputNormal" id="Parametri_CodiceCatastale" name="Parametri_CodiceCatastale" style="width: 100%;" label="Codice catastale" />
      </td>
  </tbody>
</table>



<br/>

{{ utils_cd969.eventuali_annotazioni()}}

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazione">
   <td colspan="2">
    <p style="text-align: center;">
     <b>
      Elenco degli allegati
     </b>
     <br/>
     <span style="font-size:70%">
      <i>
       (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)
      </i>
     </span>
    </p>
   </td>
  </tr>
  {% for allegato in allegati %}
  <tr>
   <td style="vertical-align: top; width: 4%;">
    <input id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %} />  
  {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
   </td>
   <td style="background-color: #eeeeee;">
    <p>
       {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %}<br/><span style="font-size:70%"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}
      </p>
    </td>
  </tr>                     
{% endfor %}
  <tr>
   <td>
    <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
   </td>
   <td style="background-color: #eeeeee;">
    <p>
     altri allegati
     <span style="font-size:70%">
      (specificare)
     </span>
     <input class="inputNormal" id="AltriAllegati" label="Altri allegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
    </p>
   </td>
  </tr>
 </tbody>
</table>


<br/>

{{ utils_cd969.trattamento_dati_personali() }}

<br/>

  <globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="2">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>
  <br/>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA_S" name="GLOBO_modulofiglio_cINCARICO_PROCURA_S" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
